module EasyEarnedValues
  module ProjectPatch

    def self.included(base)
      base.extend(ClassMethods)
      base.send(:include, InstanceMethods)

      base.class_eval do
        has_many :easy_earned_values, dependent: :destroy
      end
    end

    module InstanceMethods
    end

    module ClassMethods
    end

  end
end

RedmineExtensions::PatchManager.register_model_patch 'Project', 'EasyEarnedValues::ProjectPatch'
